Show / Hide Table of Contents

# Class Util

Class providing various helper methods for use in Dalamud and plugins.

##### Inheritance

System.Object
Util

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud

###### Assembly: Dalamud.dll

##### Syntax

    public static class Util

### Properties

| Improve this Doc View Source

#### AssemblyVersion

Gets the assembly version of Dalamud.

##### Declaration

    public static string AssemblyVersion { get; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### ByteArrayToHex(Byte[], Int32, Int32)

Create a hexdump of the provided bytes.

##### Declaration

    public static string ByteArrayToHex(byte[] bytes, int offset = 0, int bytesPerLine = 16)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte[] | bytes | The bytes to hexdump.
System.Int32 | offset | The offset in the byte array to start at.
System.Int32 | bytesPerLine | The amount of bytes to display per line.

##### Returns

Type | Description
--- | ---
System.String | The generated hexdump in string form.

| Improve this Doc View Source

#### DumpMemory(IntPtr, Int32)

Read memory from an offset and hexdump them via Serilog.

##### Declaration

    public static void DumpMemory(IntPtr offset, int len = 512)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | offset | The offset to read from.
System.Int32 | len | The length to read.

| Improve this Doc View Source

#### Fatal(String, String)

##### Declaration

    public static void Fatal(string message, string caption)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | message |
System.String | caption |

| Improve this Doc View Source

#### GetGitHash()

Gets the git hash value from the assembly or null if it cannot be found.

##### Declaration

    public static string GetGitHash()

##### Returns

Type | Description
--- | ---
System.String | The git hash of the assembly.

#### MessageBox(IntPtr, String, String, UInt32)

##### Declaration

    public static int MessageBox(IntPtr hWnd, string text, string caption, uint type)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | hWnd |
System.String | text |
System.String | caption |
System.UInt32 | type |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ShowObject(Object)

Show all properties and fields of the provided object via ImGui.

##### Declaration

    public static void ShowObject(object obj)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Object | obj | The object to show.